- Main Page
- Modules
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# NEDXMLGenerator Class Reference
[Generating XML]

`#include <xmlgenerator.h>`

List of all members.

## Detailed Description

Serializes a NED object tree in XML format.

## Public Member Functions
| NEDXMLGenerator ()
virtual | ~NEDXMLGenerator ()
virtual void | setSourceLocationAttributes (bool srcloc)
virtual void | setIndentSize (int indentsize)
virtual void | generate (ostream &out, NEDElement *tree)
## Protected Member Functions
virtual void | printAttrValue (ostream &out, const char *s)
virtual void | doGenerate (ostream &out, NEDElement *node, int level)
## Protected Attributes
bool | printsrcloc
int | indentsize

## Constructor & Destructor Documentation

NEDXMLGenerator::NEDXMLGenerator | ( |  | ) |

| Constructor.

virtual NEDXMLGenerator::~NEDXMLGenerator | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void NEDXMLGenerator::doGenerate | ( | ostream & | out,
|  | NEDElement * | node,
|  | int | level
| ) | `[protected, virtual]`

virtual void NEDXMLGenerator::generate | ( | ostream & | out,
|  | NEDElement * | tree
| ) | `[virtual]`

| Serialize the object tree as XML. The XML declaration will be:
     <?xml version="1.0"?>
I.e. unspecified encoding, and no document type will be included.

virtual void NEDXMLGenerator::printAttrValue | ( | ostream & | out,
|  | const char * | s
| ) | `[protected, virtual]`

virtual void NEDXMLGenerator::setIndentSize | ( | int | indentsize | ) | `[virtual]`

| Set indent size in the output XML.

virtual void NEDXMLGenerator::setSourceLocationAttributes | ( | bool | srcloc | ) | `[virtual]`

| Enable or disable generation of src-loc attributes in the output XML. src-loc attributes contain filename-line-column information that refers to the original document. For example, if the NEDElement tree was produced by parsing a NED file, src-loc attributes refer to locations in the NED file.

## Member Data Documentation

int NEDXMLGenerator::indentsize`[protected]`

bool NEDXMLGenerator::printsrcloc`[protected]`

The documentation for this class was generated from the following file:

- xmlgenerator.h